1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

What Dose my psp need to be at if i wanna play Final Fantasy VII

Discussion in 'Sony PSP - Homebrew software' started by BeatsDude, May 25, 2007.

  1. BeatsDude

    BeatsDude Guest

    I wanna play Fainl Fantasy VII and there are 3 disks abd psp version is 3.11 so what do i do?
     
  2. svtstang

    svtstang Regular member

    Joined:
    Apr 23, 2006
    Messages:
    4,565
    Likes Received:
    0
    Trophy Points:
    46
    Nothing.....you are screwed for the moment. Wait for a downgrader.
     
  3. BeatsDude

    BeatsDude Guest

    Ain't there donwgraders for 3.40???
     

Share This Page